/************************************************/
/*						*/
/*	File writing/reading managment for tape	*/
/*	and device configuration informations.	*/
/*						*/
/************************************************/
#ifndef	GESCNF
#define GESCNF
#include        <sys/types.h>

#include	"subrou.h"

/*NOID is the 'not assigned' tape ID		*/
#define	NOID		"none"

typedef struct {
	char *comment;	/*line comment		*/
	char *tapeid;	/*tape id		*/
	char *ttype;	/*tape type 		*/
	ulong lastused;/*tape last use date	*/
	u_int cycled;	/*# time the tape was	*/
			/*used			*/
	u_int blocks;	/*tape size		*/
	int frozen;	/*how long the tape must*/
	u_int pidlock;	/*tape lock by a backd	*/
	}TAPETYPE;	/*be kept		*/

typedef struct {
	char *ttype;	/*tape type		*/
	char *tdev;	/*tape device		*/
	siz64_t blksize;	/*tape block size	*/
	}DEVTYPE;

typedef	struct	{
	char *tapeid;	/*tape id		*/
	char *tdev;	/*tape linked device	*/
	siz64_t blksize;	/*tape block size	*/
	u_int blocks;	/*# block in the tape	*/
	u_int cycled;	/*number of cycling	*/
	ulong lastused;/*last used		*/
	}IDTYPE;

extern TAPETYPE **loadtapelist();
extern void dumptapelist(TAPETYPE **tinfo);
extern TAPETYPE **cleantapelist(TAPETYPE **tinfo);
extern TAPETYPE *loctape(TAPETYPE **tinfo,char *tapeid);
extern DEVTYPE **loaddevlist();
extern DEVTYPE **cleandevlist();
extern DEVTYPE *locdev(DEVTYPE **dinfo,char *ttype);
extern IDTYPE *getidinfo(TAPETYPE **tinfo,char *ttype,int keep);
extern IDTYPE *cleanidinfo(IDTYPE *idinfo);
#endif
