/************************************************/
/*						*/
/*	File tape writing/reading managment	*/
/*	module.					*/
/*						*/
/************************************************/
#ifndef	GESFIL
#define GESFIL
#include	<stdio.h>
#include	"unidev.h"

#define	TAPEOK	 0	/*writing to tape is fine	*/
#define	TOOBIG	-2	/*can't be fully stored on tape	*/
#define	BADTAPE -3	/*tape is really BAD		*/
#define NOSLOT  -4	/*no slot available on tape	*/

typedef	unsigned long long lsiz64_t;

typedef	struct	{
	FILE *fin;	/*input file			*/
	FILE *fout;	/*output file (traces)		*/
	int slot;	/*File tape slot		*/
	lsiz64_t cnumber;/*number of char stored on tape	*/
	long blknum;	/*number of block used on tape	*/
	long blkpos;	/*file position on tape		*/
	int numremain;	/*char number remaining		*/
	char *remaining;/*char remaining array		*/
	time_t duration;/*storage duration		*/
	}FTYPE;

extern int writetape(FTYPE *finfo,THANDLE *handle);
extern int readtape(THANDLE *handle,FTYPE *finfo);
extern FTYPE *mkinfo(FILE *fin,FILE *fout,int slot);
extern FTYPE *cleaninfo(FTYPE *finfo);
extern char *getsellist(char *findtpl,char *included,char *excluded);
extern char ***getbcklist();
extern char ***getschedlist();
extern char ***cleanbcklist(char ***bcklist);
#endif
