/************************************************/
/*						*/
/*	backup management module		*/
/*						*/
/************************************************/
#ifndef	MODBCK
#define MODBCK
#include	<time.h>
#include	<stdio.h>

#include	"gesfil.h"

typedef	enum	{	/*backup status		*/
	a_ok,		/*everything went fine	*/
	tmissing,	/*tape is missing	*/
	noslot,		/*unable to find slot	*/
	toobig,		/*file is too big	*/
	wrongtape	/*unexpected tape label */
	}BSTAT;

typedef	enum	{	/*bakup file type	*/
	header,		/*tape number file	*/
	data,		/*tape file is pure data*/	
	listing,	/*tape file is a listing*/
	footer		/*tape contents		*/
	}BTYPE;

typedef	struct	{
	BTYPE btype;	/*backup entry type	*/
	char *included;	/*file to be included	*/
	char *excluded;	/*file to be excluded	*/
	FTYPE *finfo;	/*info about stored file*/
	}ENTYPE;

typedef	struct	{	/*tape header definition*/
	char tnum[30];	/*current tape ID	*/
	char pnum[30];	/*previous and next tape*/
	char nnum[30];	/*in multi-tape backup	*/
	int num;	/*number of rotation	*/
	time_t stamp;	/*backup stamp date	*/
	ulong lastused;	/*date last used	*/
	siz64_t blksize;/*tape block size	*/
	siz64_t lastblk;/*last position on tape	*/
	u_int block;	/*tape size in Mbytes	*/
	int tobkept;	/*in number of days	*/
	char tdev[30];	/*tape device name	*/
	char tape[10];	/*type de tape		*/
	char vers[30];	/*backup version	*/
	char tstore[50];/*storing seq		*/
	char tlist[50];	/*listing seq		*/
	char *levels;	/*level to be included	*/
	ENTYPE **tfile;	/*file on tape		*/
	}BCKTYPE;

extern BCKTYPE *cleanbckinfo(BCKTYPE *bckinfo);
extern BCKTYPE *mkbckinfo(char *tapedev,siz64_t blksize,int tobkept,
			  char *tostore,char *torecover);
extern BCKTYPE *addbckinfo(BCKTYPE *bckinfo,BTYPE btype,char *included,char *excluded);
extern BSTAT checktape(char *tapedev,char *tapeid,siz64_t blksize,int checkid,int strike);
extern BSTAT dobackup(BCKTYPE *bckinfo,int eject,int checkid);
extern u_long releasedate(BCKTYPE *bckinfo);
extern BCKTYPE *getbackup();
extern void dolabel(int argc,char *argv[]);
extern void dumpbckinfofile(BCKTYPE *bckinfo,FILE *file);
#endif
