/************************************************/
/*						*/
/*	Low level subroutine declaration	*/
/*						*/
/************************************************/
#ifndef	SUBROU
#define SUBROU

#include	<linux/types.h>
#include	<sys/types.h>
#include	<errno.h>
#include	<time.h>

#define	APPNAME	"backd"	/*application name	*/
#define	DATA	"data"	/*application data dir	*/
#define	CONF	"conf"	/*application config dir*/
#define	BACKUP	"bcklst"/*backup definition dir	*/
#define	SHELL	"shell"	/*shell directory	*/

#define LCK_UNLOCK   0	/*unlocking request	*/
#define	LCK_LOCK     1	/*locking requets	*/

typedef	__u64 siz64_t;	/*forced to be 8 Bytes	*/
typedef	__u64 off64_t;	/*forced to be 8 Bytes	*/

/*defining boolean value			*/
typedef enum {false, true} bool;

extern int debug;	/*application debug mode*/
extern int verbose;	/*verbose debug mode	*/
extern char *appname;	/*application name	*/
extern char *base;	/*application base dir	*/
extern int foreground;	/*app in foreground mode*/

extern char *getvers();
extern void **addveclst(void **lst,void *info);
extern time_t systime();
extern void rou_alert(const int dlevel,const char *fmt,...);
extern void crash(const char *fmt,...);
extern char *storeinfo(char *ptr,const char *info);
extern char *storeaddinfo(char *ptr,const char *info);
extern char *getstrfulldate(time_t curdate);
extern u_long normdate(time_t timestamp);
extern char *getstrdate(u_long curdate);
extern char *getstrtime(time_t curdate);
extern u_long caldate(time_t date,int month,int days);
extern char *getstr(FILE *fichier,char *str,int taille,int comment,char carcom);
extern char *localedate(time_t date);
extern char *getversion();
extern pid_t rou_divedivedive();
extern int rou_checkprocess(pid_t pidnumber);
extern int rou_locking(const char *lockname,int lock,int tentative);
#endif
